Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class SummaryHTMLRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.SummaryHTMLRenderer

All Implemented Interfaces:
  Renderer

    public class SummaryHTMLRenderer

extends AbstractRenderer

Field Summary

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`SummaryHTMLRenderer()`
`SummaryHTMLRenderer(java.lang.String linkPrefix, java.lang.String linePrefix)`

Method Summary
`void` | `render(java.io.Writer writer, Report report)`
`void` | `renderSummary(java.io.Writer writer, Report report)`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`end, getWriter, render, renderFileReport, setWriter, showSuppressedViolations, start, startFileAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryHTMLRenderer

    public SummaryHTMLRenderer(java.lang.String linkPrefix,
                               java.lang.String linePrefix)

### SummaryHTMLRenderer

    public SummaryHTMLRenderer()

Method Detail

### render

    public void render(java.io.Writer writer,
                       Report report)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderSummary

    public void renderSummary(java.io.Writer writer,
                              Report report)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.